Bug 1366168 - NetBSD regression test #18638 times out for review #14966
Summary: NetBSD regression test #18638 times out for review #14966
Keywords:
Status: CLOSED DUPLICATE of bug 1368441
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: 3.7.14
Hardware: x86_64
OS: NetBSD
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 08:37 UTC by Oleksandr Natalenko
Modified: 2016-08-22 08:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-22 08:59:39 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
kdump (4.28 KB, text/plain)
2016-08-11 10:28 UTC, Nigel Babu
no flags Details

Description Oleksandr Natalenko 2016-08-11 08:37:01 UTC
This test:

https://build.gluster.org/job/rackspace-netbsd7-regression-triggered/18638/console

does not make any progress and should fail with timeout.

One of previous attempts:

https://build.gluster.org/job/rackspace-netbsd7-regression-triggered/18595/console

also failed with the same timeout.

Comment 1 Nigel Babu 2016-08-11 09:08:34 UTC
Saw this on the machine.

$ ps ax | grep build
  225 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
  949 ?        I     0:00.03 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 1004 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
 1851 ?        I     0:00.02 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 2618 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
 2710 ?        I     0:00.02 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 3766 ?        I     0:00.03 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 4343 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
 4565 ?        I     0:00.02 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 6577 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 7583 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
 8528 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 8591 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
 8619 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
 9099 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
 9736 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
13034 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
15753 ?        I     0:00.02 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
15840 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
16844 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
17179 ?        I     0:00.03 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
19182 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
21349 ?        I     0:00.03 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
22787 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
23464 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
23634 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
24330 ?        I     0:00.00 /bin/sh /opt/qa/build.sh 
25401 ?        D     0:00.00 /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
25523 ?        I     0:00.03 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
27885 ?        I     0:00.03 sh -c /sbin/umount -f -R /mnt/glusterfs/0 /mnt/glusterfs/1 /mnt/glusterfs/2 /mnt/nfs/0 /mnt/nfs/1 /build/install/var/run/gluster/patchy 
14616 pts/0    S+    0:00.00 grep build

Comment 2 Oleksandr Natalenko 2016-08-11 09:40:10 UTC
OK, after re-triggering it fails with ./tests/basic/quota.t.

https://build.gluster.org/job/rackspace-netbsd7-regression-triggered/18641/

Isn't quota test for netbsd7 broken?

Comment 3 Nigel Babu 2016-08-11 10:28:12 UTC
Created attachment 1190007 [details]
kdump

I did a `ktrace -C` followed by `kdump`. This is what I got.

Comment 4 Nigel Babu 2016-08-16 07:11:04 UTC
So, I noticed this again. Turns out, an easy way to sort this out is to do a `reboot -n` after exhausting all other options.

Comment 5 Niels de Vos 2016-08-16 12:26:59 UTC
Nigel, is this a quota problem? If so, change the component and involve Manikandan.

Comment 6 Nigel Babu 2016-08-22 08:59:39 UTC
This is unrelated to quota. It's a dupe of our ongoing NetBSD issue, which I suspect we've now fixed.

*** This bug has been marked as a duplicate of bug 1368441 ***


Note You need to log in before you can comment on or make changes to this bug.